'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Retourne = undefined;

var _ast = require('../ast');

var ast = _interopRequireWildcard(_ast);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

class Retourne extends ast.Procedure {
  constructor(algorithm) {
    super(null, 'retourne', new ast.Routine(new ast.Parameters([new ast.Variables(null, algorithm.type, ['retour'])], []), [], [], []), []);
    this.algorithm = algorithm;
  }

  execute(executor, values) {
    this.algorithm.stop(values[0].type.create(values[0].value));
  }
}
exports.Retourne = Retourne;