'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Caractere = undefined;

var _ast = require('../ast');

var ast = _interopRequireWildcard(_ast);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

class Caractere extends ast.Type {
  constructor() {
    super(null, 'caractere');
  }

  create(value) {
    if (value && value.length !== 1) throw new Error('Un caractere ne peut pas avoir une longueur supérieure à 1');
    return value || String.fromCharCode(0);
  }
}
exports.Caractere = Caractere;