'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NulPointer = undefined;

var _ast = require('../ast');

var ast = _interopRequireWildcard(_ast);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

class NulPointer extends ast.Pointer {
  constructor() {
    super(null);
    super.setName('!nul');
  }

  create() {
    return super.create();
  }
}
exports.NulPointer = NulPointer;