import * as ast from '../ast'

export class Retourne extends ast.Procedure {
  constructor(algorithm) {
    super(null, 'retourne', new ast.Routine(new ast.Parameters([new ast.Variables(null, algorithm.type, ['retour'])], []), [], [], []), [])
    this.algorithm = algorithm
  }

  execute(executor, values) {
    this.algorithm.stop(values[0].type.create(values[0].value))
  }
}
