import * as ast from '../ast'

export class Caractere extends ast.Type {
  constructor() {
    super(null, 'caractere')
  }

  create(value) {
    if (value && value.length !== 1)
      throw new Error('Un caractere ne peut pas avoir une longueur supérieure à 1')
    return value || String.fromCharCode(0);
  }
}
