'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Enum = undefined;

var _type = require('./type.js');

var _ast = require('../ast');

class Enum extends _type.Type {
  constructor(values) {
    super();
    this.values = values;
  }

  create(value) {
    if (typeof value === 'string') return this.values.indexOf(value);
    return +value || 0;
  }
}
exports.Enum = Enum;