'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Parameters = undefined;

var _base = require('./base.js');

class Parameters extends _base.Ast {
  constructor(locals, globals, reverseOrder) {
    super();
    this.locals = locals;
    this.globals = globals;
    this.reverseOrder = !!reverseOrder;

    this.globals.forEach(variables => variables.assignable = true);
  }
}
exports.Parameters = Parameters;