import {Type} from './type.js'
import {Value} from '../ast'

export class Enum extends Type {
  constructor(values) {
    super()
    this.values = values
  }

  create(value) {
    if (typeof value === 'string')
      return this.values.indexOf(value)
    return +value || 0
  }
}
