import {Type} from './type.js'

export class Pointer extends Type {
  constructor(pointOn) {
    super()
    this.pointOn = pointOn
  }

  create(value) {
    return value || 0
  }

  isCompatibleWith(type) {
    return this === type || type.name === '!nul'
  }
}
